package com.xymc.vexonlinetime.gui;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.xymc.vexonlinetime.main.MainPlugin;
import com.xymc.vexonlinetime.model.ClickableVexButtonConfig;
import com.xymc.vexonlinetime.model.GuiConfig;
import com.xymc.vexonlinetime.model.PlayerTitleConfig;
import com.xymc.vexonlinetime.model.TimeConfig;
import com.xymc.vexonlinetime.model.TitleConfig;
import java.io.File;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;
import java.util.Set;
import lk.vexview.gui.VexGui;
import lk.vexview.gui.components.VexButton;
import lk.vexview.gui.components.VexComponents;
import lk.vexview.gui.components.VexText;
import lk.vexview.gui.components.expand.VexClickableButton;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.entity.Player;

public class TimeGui {
  public static VexGui getGUI(Player p) {
    File data = new File(MainPlugin.plugin.getDataFolder(), "Data");
    File playerDataFile = new File(data, p.getName() + ".yml");
    YamlConfiguration playerYml = YamlConfiguration.loadConfiguration(playerDataFile);
    List<String> playerList = new ArrayList<>(playerYml.getStringList("list"));
    File file = new File(MainPlugin.plugin.getDataFolder(), "config.yml");
    YamlConfiguration yml = YamlConfiguration.loadConfiguration(file);
    Set<String> timeSet = yml.getConfigurationSection("TimeList").getKeys(false);
    Iterator<String> iterator = timeSet.iterator();
    GuiConfig guiConfig = GuiConfig.getGuiConfig();
    VexGui gui = new VexGui(guiConfig.getUrl(), guiConfig.getX(), guiConfig.getY(), guiConfig.getWidth(), guiConfig.getHeight(), guiConfig.getXshow(), guiConfig.getYshow());
    TitleConfig titleConfig = TitleConfig.getTitleConfig();
    gui.addComponent((VexComponents)new VexText(titleConfig.getX(), titleConfig.getY(), Arrays.asList(new String[] { titleConfig.getTitle() }, ), 1.5D));
    PlayerTitleConfig playerTitleConfig = PlayerTitleConfig.getPlayerTitleConfig();
    String title = playerTitleConfig.getTitle().replace("%time%", "" + MainPlugin.PLAYER_TIME_MAP.get(p.getName()));
    title = "§0§0§0§0" + title;
    gui.addComponent((VexComponents)new VexText(playerTitleConfig.getX(), playerTitleConfig.getY(), Arrays.asList(new String[] { title })));
    for (Integer key : TimeConfig.getTimeConfigMap().keySet()) {
      if (key.intValue() > 4)
        break; 
      TimeConfig timeConfig = (TimeConfig)TimeConfig.getTimeConfigMap().get(key);
      gui.addComponent((VexComponents)new VexText(timeConfig.getTitleX(), timeConfig.getTitleY(), Arrays.asList(new String[] { timeConfig.getTitleText() })));
      gui.addComponent((VexComponents)new VexText(timeConfig.getDescX(), timeConfig.getDescY(), timeConfig.getDescTextList()));
    } 
    int i = 1;
    while (i <= 4) {
      ClickableVexButtonConfig clickableVexButtonConfig = (ClickableVexButtonConfig)ClickableVexButtonConfig.getVexButtonConfigMap().get(Integer.valueOf(i));
      if (iterator.hasNext()) {
        String time = iterator.next();
        if (!playerList.contains(time)) {
          VexClickableButton vexClickableButton = new VexClickableButton(i, "", ClickableVexButtonConfig.getDefUrl(), ClickableVexButtonConfig.getCheckUrl(), ClickableVexButtonConfig.getNotCheckUrl(), clickableVexButtonConfig.getX(), clickableVexButtonConfig.getY(), ClickableVexButtonConfig.getButtonXshow(), ClickableVexButtonConfig.getButtonYshow(), true);
          gui.addComponent((VexComponents)vexClickableButton);
        } else {
          VexClickableButton vexClickableButton = new VexClickableButton(i, "", ClickableVexButtonConfig.getDefUrl(), ClickableVexButtonConfig.getCheckUrl(), ClickableVexButtonConfig.getNotCheckUrl(), clickableVexButtonConfig.getX(), clickableVexButtonConfig.getY(), ClickableVexButtonConfig.getButtonXshow(), ClickableVexButtonConfig.getButtonYshow(), false);
          gui.addComponent((VexComponents)vexClickableButton);
        } 
      } else {
        VexClickableButton vexClickableButton = new VexClickableButton(i, "", ClickableVexButtonConfig.getDefUrl(), ClickableVexButtonConfig.getCheckUrl(), ClickableVexButtonConfig.getNotCheckUrl(), clickableVexButtonConfig.getX(), clickableVexButtonConfig.getY(), ClickableVexButtonConfig.getButtonXshow(), ClickableVexButtonConfig.getButtonYshow(), false);
        gui.addComponent((VexComponents)vexClickableButton);
      } 
      i++;
    } 
    String leftDefButtonUrl = "https://s2.ax1x.com/2019/07/14/Z5FMZj.png";
    VexButton leftButton = new VexButton(Integer.valueOf(10), "", leftDefButtonUrl, leftDefButtonUrl, 28, 10, 20, 22);
    String rightDefButtonUrl = "https://s2.ax1x.com/2019/07/14/Z5FQds.png";
    VexButton rightButton = new VexButton(Integer.valueOf(11), "", rightDefButtonUrl, rightDefButtonUrl, 352, 10, 20, 22);
    gui.addComponent((VexComponents)leftButton);
    gui.addComponent((VexComponents)rightButton);
    return gui;
  }
}
